Modify

Opened 6 years ago

Closed 6 years ago

#9350 closed enhancement (fixed)

Validate conditional restrictions (e.g. `maxspeed:conditional)

Reported by: mkoniecz Owned by: team
Priority: normal Milestone: 14.01
Component: Core validator Version:
Keywords: Cc:

Description (last modified by mkoniecz)

"Value '60 @ (23:00-06:00)' for key 'maxspeed:conditional' not in presets. - Presets do not contain property value" - I received this from validator for ​osmwww:browse/way/188660834

It should rather check whatever value is valid according to http://wiki.openstreetmap.org/wiki/Conditional_restrictions

Unfortunately I have no idea about any working code that is able to perform this check.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-11-20 02:34:39
Last Changed Author: Don-vip
Revision: 6394
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-11-19 02:29:10 +0100 (Tue, 19 Nov 2013)
Last Changed Rev: 6394

Identification: JOSM/1.5 (6394 en_GB) Windows 7 32-Bit
Memory Usage: 247 MB / 247 MB (102 MB allocated, but free)
Java version: 1.7.0_45, Oracle Corporation, Java HotSpot(TM) Client VM
Dataset consistency test: No problems found

Plugin: OpeningHoursEditor (29854)
Plugin: notes (v0.6)

Attachments (0)

Change History (7)

comment:1 Changed 6 years ago by mkoniecz

Description: modified (diff)

comment:2 Changed 6 years ago by Don-vip

In 6404/josm:

see #9350 - tagchecker: ignore keys ending with :conditional

comment:3 Changed 6 years ago by simon04

Summary: maxspeed:conditional field should be checked whatever it is valid, not whatever value is in presetsValidate conditional restrictions (e.g. `maxspeed:conditional)

comment:4 Changed 6 years ago by simon04

Resolution: fixed
Status: newclosed

In 6605/josm:

fix #9350 - Validator: test for the correct usage of :conditional tags, deprecate day|date|hour_on|off tags

This validates the correct syntax of :conditional keys and values (for the latter, only <restriction-value> @ <condition> and opening_hours are checked).

For more tests a preciser specification for allowed conditions is required (such as occupants>1).

comment:5 Changed 6 years ago by Don-vip

Milestone: 14.01

comment:6 Changed 6 years ago by rickmastfan67

Resolution: fixed
Status: closedreopened

There is a small problem with the [6605] change. The :conditional tag doesn't apply to one type of restriction, and that is Turn Restrictions. It says so right on the Conditional restrictions wiki page. Thus, the validator shouldn't be throwing up a warning telling people that the day|date|hour_on|off tags on turn restrictions have been deprecated.

Here's a relation (relation 1168738) that you can use to help fix this as it has time restrictions on it, and it's only active during the weekdays, thus has all four tags on it.

comment:7 Changed 6 years ago by simon04

Resolution: fixed
Status: reopenedclosed

In 6633/josm:

fix #9350 - Validator: do not show day|date|hour_on|off to be deprecated if used with restriction key

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.